# -*- coding: utf-8 -*-

# Copyright (C) 2018 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

from sqlalchemy.schema import Column, PrimaryKeyConstraint
from sqlalchemy.types import String, Boolean, Time
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy import text

from xivo_dao.helpers.db_manager import Base


class PreferredCallbackPeriod(Base):

    __tablename__ = 'preferred_callback_period'
    __table_args__ = (
        PrimaryKeyConstraint('uuid'),
    )

    uuid = Column(UUID(as_uuid=True), nullable=False, server_default=text('uuid_generate_v4()'))
    name = Column(String(128), nullable=False, server_default='')
    period_start = Column(Time, nullable=False)
    period_end = Column(Time, nullable=False)
    default = Column(Boolean, server_default='False')